FROM node:16.8

WORKDIR /usr/src/minecraft-website

COPY package*.json ./

RUN npm install

COPY . .

RUN npm run gulp sass

# expose node_modules as a volume so it stays within the container
VOLUME node_modules

EXPOSE 3000
CMD [ "npm", "run", "server" ]
